<?php
/**
 * @version    2.0.0
 * @package    Autolinks
 * @author     Rob Galloway <rob@startearning.com>
 * @copyright  2017 Mitrax Pty Ltd
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 */

// No direct access
defined('_JEXEC') or die;

// Access check.
if (!JFactory::getUser()->authorise('core.manage', 'com_autolinks'))
{
	throw new Exception(JText::_('JERROR_ALERTNOAUTHOR'));
}

// Include dependancies
jimport('joomla.application.component.controller');

JLoader::registerPrefix('Autolinks', JPATH_COMPONENT_ADMINISTRATOR);
JLoader::register('AutolinksHelper', JPATH_COMPONENT_ADMINISTRATOR . DIRECTORY_SEPARATOR . 'helpers' . DIRECTORY_SEPARATOR . 'autolinks.php');

$controller = JControllerLegacy::getInstance('Autolinks');
$controller->execute(JFactory::getApplication()->input->get('task'));
$controller->redirect();
