CREATE TABLE IF NOT EXISTS `#__autolinks_link` (
`id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,

`ordering` INT(11)  NOT NULL ,
`state` TINYINT(1)  NOT NULL ,
`checked_out` INT(11)  NOT NULL ,
`checked_out_time` DATETIME NOT NULL ,
`created_by` INT(11)  NOT NULL ,
`modified_by` INT(11)  NOT NULL ,
`link_type` VARCHAR(255)  NOT NULL ,
`text` VARCHAR(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL ,
`uri` VARCHAR(255)  NOT NULL ,
`article` VARCHAR(255)  NOT NULL ,
`description` TEXT NOT NULL ,
`whole_word` VARCHAR(255)  NOT NULL ,
`follow_link` VARCHAR(255)  NOT NULL ,
`self_reference` VARCHAR(255)  NOT NULL ,
`max_replacements` INT(11)  NOT NULL ,
PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT COLLATE=utf8mb4_unicode_ci;


INSERT INTO `#__content_types` (`type_title`, `type_alias`, `table`, `content_history_options`)
SELECT * FROM ( SELECT 'Link','com_autolinks.link','{"special":{"dbtable":"#__autolinks_link","key":"id","type":"Link","prefix":"AutolinksTable"}}', '{"formFile":"administrator\/components\/com_autolinks\/models\/forms\/link.xml", "hideFields":["checked_out","checked_out_time","params","language" ,"description"], "ignoreChanges":["modified_by", "modified", "checked_out", "checked_out_time"], "convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"catid","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"group_id","targetTable":"#__usergroups","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"created_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}]}') AS tmp
WHERE NOT EXISTS (
	SELECT type_alias FROM `#__content_types` WHERE (`type_alias` = 'com_autolinks.link')
) LIMIT 1;
